Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezmessage/admin/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 6222 2001-07-20 11:19:37Z jakobn $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27
28 switch( $url_array[2] )
29 {
30 case "view" :
31 {
32 $MessageID = $url_array[3];
33 include( "kernel/ezmessage/admin/messageview.php" );
34 }
35 break;
36
37 case "list" :
38 {
39 include( "kernel/ezmessage/admin/messagelist.php" );
40 }
41 break;
42
43 case "edit" :
44 {
45 include( "kernel/ezmessage/admin/messageedit.php" );
46 }
47 break;
48
49 case "popup" :
50 {
51 include( "kernel/ezmessage/admin/reciverpopup.php" );
52 }
53 break;
54
55 case "send" :
56 {
57 include( "kernel/ezmessage/admin/messagesend.php" );
58 }
59 break;
60
61 default :
62 {
63 eZHTTPTool::header( "Location: /error/404" );
64 exit();
65 }
66 break;
67 }
68
69 ?>
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
exit
exit
Definition: folder.php:81
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.